/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TInputReference;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TInputReferenceRecord extends UpdatableRecordImpl<TInputReferenceRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_input_reference.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_input_reference.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_input_reference.reference_id</code>.
     */
    public void setReferenceId(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_input_reference.reference_id</code>.
     */
    public String getReferenceId() {
        return (String) get(1);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<String> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TInputReferenceRecord
     */
    public TInputReferenceRecord() {
        super(TInputReference.T_INPUT_REFERENCE);
    }

    /**
     * Create a detached, initialised TInputReferenceRecord
     */
    public TInputReferenceRecord(LocalDateTime lastchange, String referenceId) {
        super(TInputReference.T_INPUT_REFERENCE);

        setLastchange(lastchange);
        setReferenceId(referenceId);
        resetChangedOnNotNull();
    }
}
